/*
 * GENER.H (VEC)
 *
 * Copyright (c) 1993 Ville Saari
 * All rights reserved
 *
 * Created: 07-Apr-93
 * Updated: 06-Dec-93
 */

typedef FILE *filehandle;

#define init()
#define cleanup()
#define interrupt()             0
#define getstdin(bin)           stdin
#define getstdout(bin)          stdout
#define openread(name, bin)     fopen(name, (bin)?"rb":"r")
#define openwrite(name, bin)    fopen(name, (bin)?"wb":"w")
#define openappend(name, bin)   fopen(name, (bin)?"ab":"a")
#define failedopen(fh)          (!(fh))
#define closefile(fh)           fclose(fh)
#define readfile(fh, buf, sz)   fread(buf, 1, sz, fh)
#define writefile(fh, buf, sz)  fwrite(buf, 1, sz, fh)
#define modifyname(name, count) (sprintf((name)+strlen(name), "_%d", (count)))
#define getfilemode(name, f, u)
#define setfilemode(name, f)
#define basename(name)          (strrchr((name), '/')?strrchr((name), '/')+1:name)
#define firstmatch(pattern)     pattern
#define nextmatch()             0
#define printerr(s)             (fputs((s), stderr), fflush(stderr))
#define changedir(p)            0
