/*
 * GENER.H (VEC)
 *
 * Copyright (c) 1993 Ville Saari
 * All rights reserved
 *
 * Created: 16-Jul-93
 * Updated: 08-Oct-93
 */

#include <fcntl.h>

#define SYSTEM    "u"
#define DEFMETHOD '3'
#define BUFSIZE   262144

typedef int filehandle;

#define init()
#define cleanup()
#define interrupt()             0
#define getstdin(bin)           0
#define getstdout(bin)          1
#define openread(name, bin)     open(name, O_RDONLY)
#define openwrite(name, bin)    open(name, O_WRONLY|O_CREAT)
#define openappend(name, bin)   open(name, O_WRONLY|O_APPEND)
#define failedopen(fh)          ((fh)<0)
#define closefile(fh)           close(fh)
#define readfile(fh, buf, sz)   read(fh, buf, sz)
#define writefile(fh, buf, sz)  write(fh, buf, sz)
#define modifyname(name, count) (sprintf((name)+strlen(name), "_%d", (count)))
#define basename(name)          (strrchr((name), '/')?strrchr((name), '/')+1:name)
#define firstmatch(pattern)     pattern
#define nextmatch()             0
#define changedir(path)         !chdir(path)
#define printerr(string)        write(2, string, strlen(string))
